//
// TinyPTC by Gaffer
// www.gaffer.org/tinyptc
//
#include "tinyptc.h"
#include <GraphicsDefs.h>		// for uint32...

#ifndef __TINYPTC_CONVERT_H
#define __TINYPTC_CONVERT_H

#ifdef __cplusplus
extern "C" {
#endif


// converter function type
typedef void (*PTC_CONVERTER) (void *src, void *dst, int pixels);

// converter request
PTC_CONVERTER ptc_request_converter(color_space cs);

#ifdef __cplusplus
}
#endif


#endif
