//
// TinyPTC by Gaffer
// www.gaffer.org/tinyptc
//
// BeOS Port by Johnny BARRAY
// http://jbarray.free.fr
//

#ifndef __TINYPTC_BEOS_H
#define __TINYPTC_BEOS_H

// converter configuration
#define __PTC_CONVERTER_32_TO_32_RGB888
#define __PTC_CONVERTER_32_TO_32_BGR888
#define __PTC_CONVERTER_32_TO_24_RGB888
#define __PTC_CONVERTER_32_TO_24_BGR888
#define __PTC_CONVERTER_32_TO_16_RGB565
#define __PTC_CONVERTER_32_TO_16_BGR565
#define __PTC_CONVERTER_32_TO_16_RGB555
#define __PTC_CONVERTER_32_TO_16_BGR555

// optimization
#define __PTC_MMX__
#define __PTC_MEMCPY__

// integer types
//typedef unsigned long int32; /* conflict with SupportDefs.h */
typedef unsigned short short16;
typedef unsigned char char8;

#ifdef __cplusplus
extern "C" {
#endif

// tinyptc api
extern int ptc_open(char *title,int width,int height);
extern int ptc_update(void *buffer);
extern void ptc_close();

#ifdef __cplusplus
}
#endif

#endif
